org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryDump

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<T>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<SVNAdminEvent>
      - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryDump

- All Implemented Interfaces:
    ISvnObjectReceiver<SVNAdminEvent>, ISvnOperationOptionsProvider

      public class SvnRepositoryDump
      extends SvnRepositoryReceivingOperation<SVNAdminEvent>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnRepositoryDump(SvnOperationFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `ensureArgumentsAreValid()`
    `SVNRevision` | `getEndRevision()`
    `java.io.OutputStream` | `getOut()`
    `SVNRevision` | `getStartRevision()`
    `boolean` | `isIncremental()`
    `boolean` | `isUseDelta()`
    `void` | `setEndRevision(SVNRevision endRevision)`
    `void` | `setIncremental(boolean incremental)`
    `void` | `setOut(java.io.OutputStream out)`
    `void` | `setStartRevision(SVNRevision startRevision)`
    `void` | `setUseDelta(boolean useDelta)`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation

      `getRepositoryRoot, setRepositoryRoot`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

      `first, getReceiver, initDefaults, last, receive, run, setReceiver`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnRepositoryDump

          public SvnRepositoryDump(SvnOperationFactory factory)

  - ### Method Detail

    - #### getOut

          public java.io.OutputStream getOut()

    - #### setOut

          public void setOut(java.io.OutputStream out)

    - #### getStartRevision

          public SVNRevision getStartRevision()

    - #### setStartRevision

          public void setStartRevision(SVNRevision startRevision)

    - #### getEndRevision

          public SVNRevision getEndRevision()

    - #### setEndRevision

          public void setEndRevision(SVNRevision endRevision)

    - #### isUseDelta

          public boolean isUseDelta()

    - #### setUseDelta

          public void setUseDelta(boolean useDelta)

    - #### isIncremental

          public boolean isIncremental()

    - #### setIncremental

          public void setIncremental(boolean incremental)

    - #### ensureArgumentsAreValid

          protected void ensureArgumentsAreValid()
                                          throws SVNException

      Overrides:
        `ensureArgumentsAreValid` in class `SvnOperation<SVNAdminEvent>`
      Throws:
        `SVNException`